package cn.hnthyy.thmz.service.thmz;



/**
 * @description: 门诊发药socket服务接口
 * @author: WANGJIALIANG
 * @time: 2021/7/5 15:57
 */
public interface DispensingSocketService {


    /**
     * 通知发药提醒
     * @param patientId
     * @return
     */
    int sendToMedicine(String patientId);

    /**
     * 发药叫号通知发药提醒
     * @param patientId
     * @return
     */
    int callNumberSendToMedicine(String patientId);

    /**
     * 通知发药提醒和配药处理
     * @param patientId
     * @param times
     * @return
     */
    int sendToMedicineAndDispensing(String patientId,int times);

    /**
     * 通知发药通知和发药处理
     * @param patientId
     * @return
     */
    int sendToMedicineAndSendMedicine(String patientId);

}
